//@import '../../_mixins.scss';

.field-section {
  padding: 5px 20px;

  div.row {
    margin: 0;

    &.field__label {
      display: flex;
      flex-direction: row;
      padding: 5px 0 10px;

      .field__label-label {
        font-family: var(--font-first);
        font-size: var(--font-s);
        font-weight: 500;
        font-style: normal;
        font-stretch: normal;
        letter-spacing: 0.1px;
        text-align: left;
        color: var(--grey-label);
        position: relative;
        //      @include text_one_line;
      }

      .field__label-icon {
        height: 12px;
        margin: auto auto auto 6px;
      }
    }

    &.field__input {
      input:not([type="radio"]),
      textarea {
        width: 100%;
        border-radius: 0;
        height: var(--input-height);
        border: none;
        outline: none;
        -moz-box-shadow: none;
        -webkit-box-shadow: none;
        box-shadow: none;
        outline: none;
        padding: 0 15px 0 15px;
        font-family: var(--font-first);
        font-size: var(--font-s);
        font-weight: 500;
        font-style: normal;
        font-stretch: normal;
        line-height: 2.53;
        letter-spacing: 0.2px;
        background-color: #f8fafc;
        color: #222222;
        transition: border-color ease-out 0.3s;
        -moz-transition: border-color ease-out 0.3s;
        -webkit-transition: border-color ease-out 0.3s;

        &:disabled,
        &:disabled:active {
          border: none;
          cursor: not-allowed;
          background-color: var(--disabled);
        }

        &:active,
        &:focus {
          border: solid 1px #0071b5;
        }
      }

      textarea {
        min-width: 100%;
        min-height: 10px;
        height: 80px;
        line-height: 17px;
        resize: none;
        padding: 15px;
      }
    }
  }

  .field__error {
    color: red;
    font-family: var(--font-first);
    font-size: var(--font-s);
    min-height: 17px;
    display: block;
  }

  .field__warning {
    font-family: var(--font-first);
    font-size: var(--font-xs);
    min-height: 17px;
    display: block;
    font-weight: 500;
    font-style: italic;
    margin-left: 10px;
    color: gray;
    padding-top: 2px;
  }

  &.field-section--error {
    div.row.field__input {
      input,
      textarea {
        border: solid 1px #f00;
        display: block;
      }
    }
    .Select-control {
      border: 1px solid red;
    }
  }

  &.field-section--required {
    .field__label {
      .field__label-required::after {
        content: "*";
        color: #f00;
        margin-left: 3px;
        font-size: var(--font-xs);
        position: absolute;
      }
    }
  }
}

.search {
  input {
    background: url(/assets/icons/search.png) scroll no-repeat right 10px
      center !important;
  }
}

.tooltip-help-icon {
  margin-left: 5px;
}

.tabs-ui {
  display: flex;
  flex-direction: column;
  background: var(--tile-bg);
  border-radius: 2px;
  width: 100%;

  .tabs__header {
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid var(--base-border);
    cursor: pointer;
    font-family: var(--font-first);
    font-size: var(--font-s);
    font-weight: 600;
    color: #333333;

    .tabs__header-link {
      padding: 15px 40px 10px 40px;
      text-align: center;
      text-transform: uppercase;
      font-weight: bold;
    }
    .tabs__header-link--active {
      border-bottom: 3px solid var(--primary);
    }
  }
}

input[type="search"]::-webkit-search-cancel-button {
  -webkit-appearance: searchfield-cancel-button;
}

input[type="search"] {
  -webkit-appearance: none;
  padding: 0 15px 0 28px !important;
  background: url(/assets/icons/search.png) scroll no-repeat left 10px center !important;
  height: 30px !important;
  border: 1px solid #d0d0d0 !important;
}
.Select-clear {
  display: inline-block;
  font-size: 25px;
  line-height: 1;
}
.tooltip-tail {
  &:after {
    content: "";
    display: block;
    position: absolute;
    top: 18px;
    height: 0;
    border-bottom: 10px solid #08a3ff1a;
    border-top: 10px solid transparent;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
  }
}
.tooltip-input-body,
.tooltip-body {
  background: #08a3ff1a;
  padding: 10px;
  .heading {
    font-weight: 700;
  }
  .sub-heading {
    font-weight: 500;
  }
  img.cross-sign {
    float: right;
    background: transparent;
    margin: -4px -4px;
    cursor: pointer;
  }
}

.tooltip-body {
  margin: 0 0 0 -22px;
}
